package com.common.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@TableName(value = "p_role")
public class Role extends Base{
    @TableField("role_type")
    @ApiModelProperty(value = "角色类型")
    private String roleType;
    @TableField("role_name")
    @ApiModelProperty(value = "角色名称")
    private String roleName;
    @TableField("role_desc")
    @ApiModelProperty(value = "角色描述")
    private String roleDesc;
    @TableField("create_by")
    @ApiModelProperty(value = "角色创建人")
    private String createBy;
    @TableField("data_scope")
    @ApiModelProperty(value="数据权限定义1-全部权限 2-本部门及以下部门  3-本部门 4-本人 5-自定义 ")
    private Integer dataScope;
    @ApiModelProperty(value="数据权限定义部门id集合 ")
    private List<Integer> dataDeptIds;
}
